/*
 * Class CURSOR_STRUCTURE [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1726 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1726 [] = {0xFF01,1551,1725,860,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1726 [] = {0xFF01,1725,860,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1726 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1726 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1726 [] = {0xFF01,1725,860,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1726 [] = {0xFF01,1725,860,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1726 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1726 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1726 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1726 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1726 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1726 [] = {1725,860,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1726 [] = {0xFF01,1725,860,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1726 [] = {0xFF01,1722,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1726 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1726 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1726 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1726[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1726), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1726), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1726), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1726), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1726), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1726), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1726), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1726), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1726), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1726), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1726), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1726), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1726), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1726), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8619, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8620, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8621, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8622, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1726), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1726), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9021, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9022, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1726), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9083, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1726), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1726(void)
{
	IDSC(desc_1726, 0, 1725);
	IDSC(desc_1726 + 1, 1, 1725);
	IDSC(desc_1726 + 32, 1134, 1725);
	IDSC(desc_1726 + 41, 1135, 1725);
	IDSC(desc_1726 + 50, 1060, 1725);
	IDSC(desc_1726 + 56, 254, 1725);
	IDSC(desc_1726 + 59, 778, 1725);
}


#ifdef __cplusplus
}
#endif
